Summary:	Lynx-style info browser
Summary(es.UTF-8):	Visualizador de páginas info y man
Summary(pl.UTF-8):	Przeglądarka info w stylu lynksa
Summary(pt_BR.UTF-8):	Visualizador de páginas info e man
Summary(ru.UTF-8):	Программа просмотра info- и man-документов в стиле lynx
Summary(uk.UTF-8):	Програма перегляду info- та man-документів у стилі lynx
Name:		pinfo
Version:	0.6.13
Release:	2
License:	GPL v2
Group:		Applications/System
#Source0Download: https://github.com/baszoetekouw/pinfo/releases
Source0:	https://github.com/baszoetekouw/pinfo/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b2671c8f6ef0aa5d7c6460c3111e2f50
Source1:	%{name}.sh
Source2:	%{name}.csh
Patch0:		%{name}-amfix.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-info.patch
Patch4:		%{name}-gettext.patch
Patch5:		%{name}-color.patch
Patch6:		%{name}-no-common.patch
Patch7:		%{name}-truncation-workaround.patch
URL:		https://github.com/baszoetekouw/pinfo
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel >= 4.0
BuildRequires:	texinfo
Requires:	setup >= 2.4.6-2
Suggests:	man
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pinfo is a curses based lynx-style info browser.

%description -l es.UTF-8
Visualizador de páginas info y man.

%description -l pl.UTF-8
Pinfo jest przeglądarką dokumentów info podobną do lynksa.

%description -l pt_BR.UTF-8
Visualizador hipertexto de arquivos info e páginas de manual, com
interface semelhante ao lynx. Suporta pesquisa de expressões
regulares.

%description -l ru.UTF-8
Pinfo - это программа просмотра info-файлов и man-страниц. Ее
интерфейс пользователя похож на интерфейс Lynx. Поддерживается поиск
по регулярным выражениям.

%description -l uk.UTF-8
Pinfo - це програма перегляду info-файлів та man-сторінок. Її
інтерфейс подібний до інтерфейсу Lynx. Підтримується пошук по
регулярним виразам.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
CPPFLAGS="-I%{_includedir}/ncursesw"
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/shrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/shrc.d/%{name}.sh
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/shrc.d/%{name}.csh

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/pinfo
%config(noreplace) %verify(not md5 mtime size) /etc/shrc.d/pinfo.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pinforc
%{_mandir}/man1/pinfo.1*
%{_infodir}/pinfo.info*
%changelog
* Sun Oct 03 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pinfo.git;a=log;h=master

* Sun Oct 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 9f8b3f1
- added truncation-workaround patch to workaround build failure on th-i686; release 2

* Sat Oct 02 2021 Jakub Bogusz <qboosh@pld-linux.org> aae39a9
- added no-common patch (fixes build with -fno-common, gcc 10+ default)

* Sat Oct 02 2021 Jakub Bogusz <qboosh@pld-linux.org> 5833e10
- updated to 0.6.13
- updated amfix,pl.po-update patches
- removed outdated ncurses patch
- added gettext patch (adjust for gettext 0.21+)

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> e68223f
- release 2 (by relup.sh)

* Sat Mar 03 2018 Jakub Bogusz <qboosh@pld-linux.org> 3e64338
- new URLs, updated to 0.6.10
- updated pl.po-update,home_etc patches

* Tue Nov 21 2017 Adam Osuchowski <adwol@pld-linux.org> f413dde
- /etc/shrc.d/* files as configs

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 7a9bcac
- rebuild with readline 7.0
- release 10 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 54b19e6
- updated gettext BR

* Mon Mar 12 2012 Jan Rękorajski <baggins@pld-linux.org> 73da15a
- rel 9
- there is no need for man-config, and no man-config

* Tue Jan 24 2012 lisu <lisu@pld-linux.org> e30c6f6
- no more separated libtinfo(w)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bfa322
- release 8

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> dee4b65
- dropped pre-cvs changelog

* Tue Nov 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8638100
- rel 7; link with wide ncurses and tinfo

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f108b31
- release 6

* Thu Feb 19 2009 witekfl <witekfl@pld-linux.org> 8d4c2d8
- added the color.patch with support for 256 colors eg. color234 in .pinforc
- rel 5

* Thu Feb 19 2009 witekfl <witekfl@pld-linux.org> 6088b31
- support for 256 colors.

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e2b99a6
- rel 4

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5449521
- release 3

* Mon Jun 09 2008 Adam Gołębiowski <adamg@pld-linux.org> ea751b0
- Suggests: man

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 75cf8be
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

